module Nurikabe.Easy(
    easyStep
)where

import Board.Board(Board)
import Board.Monitor(Monitor(..), (>\=))

import Techniques.Complete(complete)
import Techniques.Expand(expand)
import Techniques.Separate(separate)

easyStep :: Board -> Monitor Board
easyStep [] = Unchanged []
easyStep board =
    let
        completedBoard = complete board
        separatedBoard = completedBoard >\= separate
        expandedBoard = separatedBoard >\= expand
        result = expandedBoard
    in
        result

