module Region.Incomplete(
    findAllIncompleteRegions
)where

import Board.Board(Board)

import Region.Region(Region)
import Region.Island(findAllIslands, isIslandComplete)
import Region.Water(findIncompleteWaterRegions)

findAllIncompleteRegions :: Board -> [Region]
findAllIncompleteRegions [] = []
findAllIncompleteRegions board = findIncompleteWaterRegions board ++ [island | island <- findAllIslands board, not (isIslandComplete island)]
