﻿using MvvmHelpers;
using System.Windows.Input;
using Xamarin.Forms;

namespace MasterGame.ViewModels
{
    public class NurikabeDifficultySelectionViewModel : BaseViewModel
    {
        public ICommand Easy { get; }
        public ICommand Medium { get; }
        public ICommand Hard { get; }

        public NurikabeDifficultySelectionViewModel()
        {
            Easy = new MvvmHelpers.Commands.Command(OnEasy);
            Medium = new MvvmHelpers.Commands.Command(OnMedium);
            Hard = new MvvmHelpers.Commands.Command(OnHard);

        }

        private void OnEasy()
        {
            Shell.Current.GoToAsync($"IndexSelectionPage?difficulty=Easy");
        }
        private void OnMedium()
        {
            Shell.Current.GoToAsync("IndexSelectionPage?difficulty=Medium");
        }
        private void OnHard()
        {
            Shell.Current.GoToAsync($"IndexSelectionPage?difficulty=Hard");
        }
    }
}
