module Test.Separate(
    testSeparate
)where

import Board.Board(printBoard)
import Board.Monitor(extract)
import Board.Generator(generateGreyBoard)
import Board.Modifier(placeNumber)

import Techniques.Separate(separate)

testSeparate :: IO()
testSeparate = 
    let
        baseBoard = generateGreyBoard (4, 4)
        numberedBoard = placeNumber (placeNumber baseBoard 2 (1,1)) 3 (2,2)
        newBoard = extract $ separate numberedBoard
    in do
        printBoard baseBoard
        putStrLn ""
        printBoard numberedBoard
        putStrLn ""
        printBoard newBoard
        putStrLn ""