﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace MasterGame.Models.Cells
{
    public class ImageCell : Image
    {
        public (int Row, int Col) Position { get; set; }
        public (double X, double Y) Size { get; set; }

        public ImageCell((int row, int col) position, (double x, double y) size, ImageSource source) : base()
        {
            Position = position;
            Size = size;

            HeightRequest = Size.Y;
            WidthRequest = Size.X;
            Source = source;
            BackgroundColor = Color.White;
        }
    }
}
